%define name kstreamripper
%define version 0.2
%define release 1mdk
%define __libtoolize true

Name: %{name}
Summary: KDE frontend to streamripper
Version: %{version}
Release: %{release}
License: GPL
Url: http://www.tuxipuxi.org/
Group: Games/Boards
Source: http://www.tuxipuxi.org/files/%{name}-%{version}.tar.bz2
Source10: %{name}-16.png.bz2
Source11: %{name}-32.png.bz2
Source12: %{name}-48.png.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: fam-devel kdelibs-devel kdelibs-common
BuildRequires:  chrpath
Prefix: %{_prefix}


%description
KStreamRipper is a KDE-based frontend to streamripper. Streamripper is a 
command line utility for ripping online streams into mp3 files. 
KStreamRipper helps you with managing your preferred streams and makes 
ripping and listening to them easier.


%prep
%setup -n %{name}-%{version}

%build
%configure
%make

%install
%makeinstall
chrpath -d %{buildroot}%{_bindir}/%{name}
install -d $RPM_BUILD_ROOT/%{_miconsdir}
install -d $RPM_BUILD_ROOT/%{_liconsdir}
bzcat %{SOURCE10} > $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
bzcat %{SOURCE11} > $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
bzcat %{SOURCE12} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png
install -d $RPM_BUILD_ROOT/%{_menudir}

cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" icon="%{name}.png" \
needs="X11" section="Multimedia/Sound" title="KStreamripper" \
longtitle="Save streams" \
mimetypes="" accept_url="false" multiple_files="false"
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_bindir}/%{name}
%{_datadir}/applnk/Utilities
%{_datadir}/apps/%{name}*
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_docdir}/HTML/en/%{name}
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png




%post
%{update_menus}

%postun
%{clean_menus}

%changelog
* Fri Aug  6 2004 Emmanuel Blindauer <mdk@agat.net> 0.2-1mdk
- first package
